# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_HArray1OfByte Class Reference

`#include <PDataStd_HArray1OfByte.hxx>`

## Public Member Functions

Standard_EXPORT | PDataStd_HArray1OfByte (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PDataStd_HArray1OfByte (const Standard_Integer Low, const Standard_Integer Up, const Standard_Byte &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Byte &Value)
Standard_Integer | Upper () const
Standard_EXPORT Standard_Byte | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PDataStd_HArray1OfByte ()
| PDataStd_HArray1OfByte (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfByteLowerBound () const
void | _CSFDB_SetPDataStd_HArray1OfByteLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_HArray1OfByteUpperBound () const
void | _CSFDB_SetPDataStd_HArray1OfByteUpperBound (const Standard_Integer p)
const PDataStd_FieldOfHArray1OfByte & | _CSFDB_GetPDataStd_HArray1OfByteData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PDataStd_FieldOfHArray1OfByte | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PDataStd_FieldOfHArray1OfByte | Data

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_HArray1OfByte::PDataStd_HArray1OfByte | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PDataStd_HArray1OfByte::PDataStd_HArray1OfByte | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Byte & | V
| ) |

PDataStd_HArray1OfByte::PDataStd_HArray1OfByte | ( |  | ) | `[inline]`

PDataStd_HArray1OfByte::PDataStd_HArray1OfByte | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PDataStd_FieldOfHArray1OfByte& PDataStd_HArray1OfByte::_CSFDB_GetPDataStd_HArray1OfByteData | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfByte::_CSFDB_GetPDataStd_HArray1OfByteLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_HArray1OfByte::_CSFDB_GetPDataStd_HArray1OfByteUpperBound | ( |  | ) | const`[inline]`

void PDataStd_HArray1OfByte::_CSFDB_SetPDataStd_HArray1OfByteLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PDataStd_HArray1OfByte::_CSFDB_SetPDataStd_HArray1OfByteUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PDataStd_HArray1OfByte::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PDataStd_FieldOfHArray1OfByte PDataStd_HArray1OfByte::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PDataStd_HArray1OfByte::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PDataStd_HArray1OfByte::Length | ( |  | ) | const

Standard_Integer PDataStd_HArray1OfByte::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_HArray1OfByte::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Byte & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PDataStd_HArray1OfByte::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PDataStd_HArray1OfByte::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PDataStd_HArray1OfByte::Upper | ( |  | ) | const

Standard_EXPORT Standard_Byte PDataStd_HArray1OfByte::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PDataStd_FieldOfHArray1OfByte PDataStd_HArray1OfByte::Data `[private]`

Standard_Integer PDataStd_HArray1OfByte::LowerBound `[private]`

Standard_Integer PDataStd_HArray1OfByte::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PDataStd_HArray1OfByte.hxx